use cebolla::*;

#[tokio::main]
async fn main() -> Result<()> {
    println!("Connecting to tor network");
    let tor = Tor::new(TorConfig::default()).await?;
    println!("Connected!");
    let client = HttpClient::builder().build()?;
    let argv: Vec<String> = std::env::args().skip(1).collect();
    let res = client.get(&tor, &argv[0]).await?;
    println!("{:?}", res);
    Ok(())
}
